GRAPH2TREE(1)

NAME
graph2tree - insert the data of a scan graph file

SYNOPSIS
graph2tree [ options ]

DESCRIPTION
graph2tree

These options are available:

-i <InputFile.graph> (required)

-o <OutputFile.bt> (required)

-res <resolution> (optional, default: 0.1 m)

-m <maxrange> (optional)

-n <max scan no.> (optional)

-log (enable a detailed log file with statistics)

-compressML (enable maximum-likelihood compression (lossy) after every scan)

-simple (simple scan insertion ray by ray instead of optimized)

-clamping <p_min> <p_max> (override default sensor model clamping probabilities between 0..1)

-sensor <p_miss> <p_hit> (override default sensor model hit and miss probabilities between 0..1)

This tool is part of OctoMap and inserts the data of a scan graph file (point clouds with poses) into an octree. The output is a compact maximum-likelihood binary octree file (.bt, bonsai tree) and general octree files (.ot) with the full information.